.\"	SCCS:	@(#) USER MANUAL chktimes.m	4.1 (01/21/97)  VSXgen release 1.4
.de }C
..
.de }M
..
.TH chktimes genlib "UniSoft Ltd." "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
savtimes, chktimes, fsavtimes, fchktimes \- check updating of inode time stamps
.SH SYNOPSIS
.PP
#include <chktimes.h>
.TP
.BR "void savtimes" "(file)"
.nf
char	*file;
.fi
.TP
.BR "char *chktimes" "(file, flags)"
.nf
char	*file;
int	flags;
.fi
.TP
.BR "void fsavtimes" "(fd)"
.nf
int	fd;
.fi
.TP
.BR "char *fchktimes" "(fd, flags)"
.nf
int	fd;
int	flags;
.fi
.SH DESCRIPTION
.PP
Savtimes() saves the current mtime, atime and ctime values
for the specified 
.IR file ,
then sleeps to ensure the current time has changed before
the interface to be tested is called.
.PP
Chktimes() verifies that these time stamps have been updated
since the call to savtimes(), as specified by flags.  Flags
is a bitwise OR of the components NEWATIME, NEWCTIME and NEWMTIME.
Chktimes() returns NULL if updates are correct, otherwise a message describing
the failure.
.PP
Fsavtimes() has the same functionality as savtimes(), except
that it uses a file descriptor 
.I fd
instead of a path name to reference the file.
.PP
Fchktimes() has the same functionality as fchktimes(), except
that it uses a file descriptor 
.I fd
instead of a path name to reference the file.
.SH AUTHOR
Joseph Nave, UniSoft Ltd.
.SH RELEASE
VSXgen 1.4
