.\"	SCCS:	@(#) USER MANUAL xx_all.m	4.1 (01/21/97)  VSXgen release 1.4
.de }C
..
.de }M
..
.TH xx_all genlib "UniSoft Ltd." "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
xx_all \- failure report for all tests
.SH SYNOPSIS
.TP
.BR "void xx_all" "(result, reason)"
.nf
char	result;
char	*reason;
.fi
.SH DESCRIPTION
.PP
Xx_all() specifies a failure result for all tests with a reason
string.  When each test is executed it will call xx_rpt() with
the specified result code and in_rpt() with the reason string.
The behaviour is much the same as calling tet_delete() for all
tests except that the result code can be specified (tet_delete()
leads to an UNINITIATED result).  Xx_all() is normally used
from setup functions, but can also be used in a test function
to cause all remaining tests to report the specified result.
.PP
The \fIreason\fR argument must point to static data.
.PP
.SH EXAMPLE
.nf
.in +4
param = tet_getvar("VSX_PARAM");
if (param == NULL || *param == '\e0')
    xx_all(DELETION, "parameter VSX_PARAM is not set");
else if (strncmp(param, "unsup", (size_t)5) == 0)
    xx_all(UNSUPPORTED, "parameter VSX_PARAM is set to \e"unsup\e"");
.in -4
.fi
.SH "SIDE EFFECTS"
Xx_all() modifies the \fItet_testlist[]\fR array to cause its own
reporting function to be called in place of the original
test function.
.SH AUTHOR
Geoff Clare, UniSoft Ltd.
.SH RELEASE
VSXgen 1.4
