.\"	SCCS:	@(#) USER MANUAL atocp.m	4.1 (01/21/97)  VSXgen release 1.4
.TH atocp tsetlib "UniSoft Ltd" "VSXgen release 1.4" VSX
.SH NAME
\fBatocp\fP \- ascii string to (char *) library routine
.SH SYNOPSIS
\fBchar *atocp(str)\fP
.br
\fBchar *str;\fP
.br
.SH DESCRIPTION
.PP
\fBAtocp\fP() takes a pointer to an ascii string as its argument, and
converts the Hex, Octal, or Decimal number represented by that
string to a character pointer - i.e.
.in +.5i
.br
cp = \fBatocp\fP("0xABCD")
.in -.5i
places the address value ABCD(hex) into cp.
.PP
Hex strings start with "0x" or "0X", and can be upper or lower
case (or mixed).
.PP
Octal strings start with "0"; Decimal with any digit 1-9.
.PP
The string to be converted MUST start at *str - there is no
whitespace/garbage skipping.
.PP
\fBAtocp\fP stops as soon as it sees a non Hex/Oct/Dec character.
.PP
Strings containing garbage are bound to cause amusement; no
written or implied guarantee is expressed for this misuse.
.PP
If "str" is (char *) NULL, then the value NULL is returned.
.SH NOTE
.PP
This routine may not be totally portable; on those machines
where sizeof(long) < sizeof(char *), and where str pts at a
string containing a valid address that is larger than MAXLONG,
there will be (insoluble) problems.
Also will not work on non-ASCII machines.
.PP
Typedef "ltype" below must be set to "unsigned long" if at all
possible; otherwise "long" will do, with half the precision...
.PP
Routines below spell it all out in baroque glory (when a few
clever one-liners and combined functions might have done the trick)
for portability.
.PP
