.\"	SCCS:	@(#) USER MANUAL do_access.m	4.1 (01/21/97)  VSXgen release 1.4
.TH do_access tsetlib "UniSoft Ltd" "VSXgen release 1.4" VSX
.SH NAME
\fBdo_access\fP \- set up file access tests
.SH SYNOPSIS
\fBint do_access(filetype, fileperm, pathperm, func, waittime)\fP
.br
\fBint		filetype;\fP
.br
\fBmode_t		fileperm;\fP
.br
\fBmode_t		pathperm;\fP
.br
\fBint		(*func)();\fP
.br
\fBint		waittime;\fP
.br
.PP
\fBvoid cln_access()\fP
.br
.PP
.SH DESCRIPTION
.PP
\fBDo_access\fP() sets up files with the required ownership and
permissions for testing file access calls in a user-supplied
function.  The calling process must have PRV_SETID and
PRV_ACCESS privileges.
.PP
Filetype specifies the type of target file, either 'd' for a
directory or 'f' for a plain file.  Pathperm is the desired
access to the target file's path prefix; fileperm specifies the
access to the file itself.  Both are given as the bitwise OR of
the components S_IRUSR, S_IWUSR and S_IXUSR.
.PP
Func is a user supplied function which will be passed a pathname
to the target file and a NULL-terminated list of strings describing
which permissions are being used to access it.  It should return 0
if the test succeeds, otherwise non-zero.
.PP
Waittime (given in seconds) is used to time out child processes.
If a child times out the test is deleted, so the maximum time
for the function to execute is waittime plus some processing time.
.PP
\fBDo_access\fP() returns 0 if all the (*func)() calls returned 0.  If
a preparation error occurred (reported by \fBdo_access\fP() as a DELETION),
or any (*func)() calls returned non-zero, then \fBdo_access\fP() returns -1.
.PP
\fBCln_access\fP() cleans up the files created by \fBdo_access\fP().  The
calling process should clean up any files created in target
directories before exiting the user supplied function (*func)().
