.\"	SCCS:	@(#) USER MANUAL do_feio.m	4.1 (01/21/97)  VSXgen release 1.4
.TH do_feio tsetlib "UniSoft Ltd" "VSXgen release 1.4" VSX
.SH NAME
\fBdo_feio\fP \- arrange for stream EIO error
.SH SYNOPSIS
\fBvoid do_feio(type, reqfd, io, rpt)\fP
.br
\fBchar	*type;\fP
.br
\fBint	reqfd;\fP
.br
\fBint	(*io)();\fP
.br
\fBvoid	(*rpt)();\fP
.br
.PP
.SH DESCRIPTION
.PP
\fBDo_feio\fP() sets up a stream pointer such that the next operation
of the given "type" will generate errno = EIO.  Valid "type"s are:
.PP
.in +.5i
.br
"rb"	read with SIGTTIN blocked
.br
"ri"	read with SIGTTIN ignored
.br
"ro"	read from orphaned process group
.br
"w"	write (from orphaned pgrp)
.br
"f"	flush (from orphaned pgrp)
.in -.5i
.sp
The supplied function "io" is called to carry out this I/O operation.
It is passed the (FILE *) stream pointer to be used.
.PP
If "reqfd" is >= 0 it indicates the fd which should underly the
stream.  If this is 0, 1 or 2 then the stream set up by \fBdo_feio\fP()
will be stdin/out/err respectively.
.PP
\fBDo_feio\fP() passes the return value of (*io)(fp), and the errno value
after the call to the supplied function "rpt" for reporting.
.PP
N.B. as "io" and "rpt" are called in a child process, the calling
process should not set any global/static variables in these functions
and examine their values after the call to \fBdo_feio\fP().
