.\"	SCCS:	@(#) USER MANUAL do_ferr.m	4.1 (01/21/97)  VSXgen release 1.4
.TH do_ferr tsetlib "UniSoft Ltd" "VSXgen release 1.4" VSX
.SH NAME
\fBdo_ferr\fP \- arrange for stream I/O error
.SH SYNOPSIS
\fBint do_ferr(errnum, type, reqfd, func, ferr, gotsig)\fP
.br
\fBint		errnum;\fP
.br
\fBint		type;\fP
.br
\fBint		reqfd;\fP
.br
\fBint		(*func)();\fP
.br
\fBint		*ferr;\fP
.br
\fBint		*gotsig;\fP
.br
.PP
.SH DESCRIPTION
.PP
\fBDo_ferr\fP() sets up a stream pointer such that the next operation
of the given "type" ('r' = read, 'w' = write, 'f' = flush) should
generate errno = "errnum".  The supplied function "func" is called
to carry out this I/O operation.  It is passed two arguments:
the (FILE *) stream pointer and the (int) number of bytes to be
read/written (always <= 10).
.PP
If "reqfd" is >= 0 it indicates the fd which should underly the
stream.  If this is 0, 1 or 2 then the stream set up by \fBdo_ferr\fP()
will be stdin/out/err respectively.  (This fd is NOT restored by
\fBdo_ferr\fP() & so should not be used after the call).
.PP
\fBDo_ferr\fP() returns the return value of "func", with errno restored
to its value after the call to "func", and the result of a ferror()
immediately after the call to "func" stored in the location pointed
to by "ferr".  The location pointed to by "gotsig" is set to non-zero
if a SIGPIPE arrived during an EPIPE test.
.PP
N.B. as "func" may be called in a child process, the calling
process should not set any global/static variables in "func" and
examine their values after the call to \fBdo_ferr\fP().
.PP
.SH SIDE EFFECTS
If anything goes wrong during setting up the current test is
marked for deletion using tet_delete().  Hence the first thing
the calling function should do after \fBdo_ferr\fP() returns is:
.in +.5i
.ft C
if (tet_deleted(tet_thistest)) {
.br
.in +.5i
xx_rpt(DELETION);
.br
in_rpt("deletion reason: %s", tet_reason(tet_thistest));
.br
DBUG_VOID_RETURN;
.in -.5i
}
.in -.5i
.ft P
