.\"	SCCS:	@(#) USER MANUAL mlrantest.m	4.2 (03/06/98)  VSXgen release 1.4
.TH mlrantest tsetlib "UniSoft Ltd" "VSXgen release 1.4" VSX
.SH NAME
\fBmlrantest\fP \- basic driver and random number generator
for mathematical library tests.
.SH SYNOPSIS
\fBdouble mlrandom()\fP
.br
\fBdouble randl(x)\fP
.br
\fBdouble x;\fP
.br
\fBvoid   mlsetglobals()\fP
.br
\fBvoid   mlrantest(f,g,type)\fP
.br
\fBdouble (*f)(),(*g)();\fP
.br
\fBint type;\fP
.br
\fBint    mlresults(factor)\fP
.br
\fBdouble factor;\fP
.br
\fBvoid   mlreport(start, end)\fP
.br
\fBdouble start, end;\fP
.br
.PP
.SH DESCRIPTION
.PP
\fBMlrandom\fP() generates a random number in the range 0 to 1.
.PP
\fBRandl\fP() takes the random number generated by \fBmlrandom\fP and
logarithmically distributes this over the range 1 to exp(x).
.PP
\fBMlsetglobals\fP() sets a series of global variables which are
used in the error calculations. These variables need to be
reset before each test.
.PP
\fBMlrantest\fP() generates a series of random numbers and invokes
the functions f() and g() which should produce the same results.
The results of these functions are compared and the maximum
relative difference and sum of the square of the relative
difference is calculated. The global variable iterrs determines
how many random numbers will be generated. The variables high
and low determine the limits for random number generation.
The variable type determines whether linear distribution (type=0)
or logarithmic distribution of random numbers is required (type=1).
.PP
\fBMlresults\fP() calculates the Root Mean Square relative error and
checks the maximum relative error and RMS relative error against
values appropriate for the machine. (as determined by mlmachar()).
.PP
\fBMlreport\fP() reports details of the values calculated by \fBmlresults\fP()
and \fBmlrantest\fP() if a failure has been notified.
