.\"	SCCS:	@(#) USER MANUAL pathres.m	4.1 (01/21/97)  VSXgen release 1.4
.TH pathres tsetlib "UniSoft Ltd" "VSXgen release 1.4" VSX
.SH NAME
\fBpathres\fP \- generate names for testing pathname resolution
and portable filenames
.SH SYNOPSIS
\fB#include <pathres.h>\fP
.br
.PP
\fBchar *pathresnam[];\fP
.br
.PP
\fBchar *portfnam[];\fP
.br
.PP
\fBint init_pathres(opts)\fP
.br
\fBint opts;\fP
.br
.PP
\fBchar *root_alias();\fP
.br
.PP
\fBvoid cln_pathres();\fP
.br
.PP
.SH DESCRIPTION
.PP
\fBPathresnam\fP[] contains a list of pairs of pathnames which
should refer to the same file if pathname resolution
is performed correctly.  I.e. \fBpathresnam\fP[0] and \fBpathresnam\fP[1]
should be the same file, and so on.
.PP
\fBPortfnam\fP[] contains a null-terminated list of filenames making
use of the entire portable filename character set.  It includes
names which will erroneously refer to the same file if filenames
are not case sensitive.
.PP
\fBInit_pathres\fP() initialises \fBpathresnam\fP[] and creates a
directory hierarcy, then does a chdir() to the top directory
of the hierarchy.  The "opts" argument consists of the
bitwise OR of the following elements:
.PP
.in +.5i
.br
PRES_FILES	paths refer to plain files
.br
PRES_DIRS	paths refer to directories
.br
PRES_NOROOT	exclude name pairs for "/"
.br
PRES_NOTRAIL	exclude names with trailing "/", "/." or "/.."
.br
PRES_NODOT	exclude names with trailing "/."
.br
PRES_NODOTDOT	exclude names with trailing "/.."
.br
PRES_CREAT	create the listed files/dirs
.in -.5i
.sp
One of PRES_FILES and PRES_DIRS must be specified, the others
are optional.  If PRES_DIRS is specified, extra name pairs
which apply only to directories are added to the list.  By
default name pairs for "/" WILL be added UNLESS opts includes
PRES_NOROOT.  Likewise names with trailing "/", "/." and "/.."
will be added unless PRES_NOTRAIL, PRES_NODOT and/or PRES_NODOTDOT
are used.
.PP
\fBInit_pathres\fP() returns the number of pathname pairs, or -1
if an error occurs.
.PP
\fBRoot_alias\fP() can be called directly to obtain a relative path
to "/", for testsets which can't do the same with "/" as with
the other pathname pairs.  It returns a pointer to static data,
or NULL if an error occurs.  \fBRoot_alias\fP() should only be used
if PRES_NOROOT was specified when \fBinit_pathres\fP() was called.
.PP
\fBCln_pathres\fP() does a chdir("..") and removes the directory
hierarchy created by \fBinit_pathres\fP().
.PP
When testing XNFS, the function \fBt_pathres_s(xnfslib)\fP should be 
called on the server side whenever \fBinit_pathres\fP() is called 
on the client side. These functions both use a single sync point
number defined by MK_SPNO(SP_PATHRES). Before these calls are made,
the test purpose may use sync point numbers in the range 
MK_SPNO(0) to MK_SPNO(SP_PATHRES-1). After these calls are made,
the test purpose may use sync point numbers in the range 
MK_SPNO(SP_PATHRES+1) to MK_SPNO(15).
.SH SIDE EFFECTS
Current directory is changed by \fBinit_pathres\fP() and restored
by \fBcln_pathres\fP().
