.\"	SCCS:	@(#) USER MANUAL pipeclib.m	4.1 (01/21/97)  VSXgen release 1.4
.TH pipeclib tsetlib "UniSoft Ltd" "VSXgen release 1.4" VSX
.SH NAME
\fBpipeclib\fP \- set of routines used in execed child processes to
send reporting information where the reporting functions cannot be used
directly
.SH SYNOPSIS
\fBvoid pipe_xs_rpt()\fP
.br
\fBvoid pipe_xx_rpt(code)\fP
.br
\fBint code;\fP
.br
\fBint pipe_in_rpt(message)\fP
.br
\fBchar *message;\fP
.br
\fBvoid pipe_end_rpt()\fP
.br
\fBvoid pipe_path_xs_rpt(expected, pathok)\fP
.br
\fBint expected;\fP
.br
\fBint pathok;\fP
.br
\fBvoid pipe_devinode_rpt(inode1, dev1, inode2, dev2);\fP
.br
\fBino_t inode1,inode2;\fP
.br
\fBdev_t dev1,dev2;\fP
.SH DESCRIPTION
These functions combine with those in pipeplib to provide a reporting mechanism using pipes,
ideally suited for exec'ed subprograms which cannot use normal reporting. Each
function is functionally similar to their non pipe_ couterparts, except the
reporting information is passed along a pipe to the awaiting parent process,
which reports the data on the child program's behalf.
.PP
\fBpipe_xs_rpt\fP()  is the pipe reporting equivalent of xs_rpt().
.PP
\fBpipe_in_rpt\fP() is the pipe reporting equivalent of in_rpt, except it
does not take vprintf style arguments, but a single string instead.
.PP
\fBpipe_xx_rpt\fP() is the pipe reporting equivalent of xx_rpt().
.PP
\fBpipe_path_xs_rpt\fP() is the pipe reporting equivalent of the PATH_XS_RPT
macro. It takes two arguments - the expected path value, and pathok.
.PP
\fBpipe_devinode_rpt\fP() is the pipe reporting equivalent of devinod_rpt()
.PP
\fBpipe_end_rpt\fP() terminates the pipe reporting. Any attempts to report
after a pipe_end_rpt will be ignored.
.SH WARNING
Messages should be kept short. (Otherwise the pipes could block)
.SH "SIDE EFFECTS"
STDOUT cannot used by the child process.
.SH "SEE ALSO"
pipeplib (tsetlib)
.br
devinodrpt (tsetlib)
.SH AUTHOR
Stuart Boutell, UniSoft Ltd.
