.\"	SCCS:	@(#) USER MANUAL pipeplib.m	4.1 (01/21/97)  VSXgen release 1.4
.TH pipeplib tsetlib "UniSoft Ltd" "VSXgen release 1.4" VSX
.SH NAME
\fBpipeplib\fP \- set of routines used in parent processes to
receive reporting information where child processes cannot use
the reporting functions directly
.SH SYNOPSIS
\fBvoid pipe_parent()\fP
.br
\fBvoid pipe_child()\fP
.br
\fBint pipe_open()\fP
.br
\fBvoid pipe_close()\fP
.br
\fBvoid pipe_report(code, message)\fP
.br
\fBint code;\fP
.br
\fBchar *message;\fP
.SH DESCRIPTION
These functions combine with those in pipeclib to provide a reporting mechanism using pipes,
ideally suited for exec'ed subprograms which cannot use normal reporting.
.PP
\fBpipe_open\fP() opens a pipe pair to act as the channel of communications. If
this fails, the test is deleted and the function returns zero.
.PP
\fBpipe_child\fP() is called before any pipe reporting is required, in the child
process. It dups output to stdout to the write side of the pipe.
.PP
\fBpipe_parent\fP() is called after the cppair returns - this reads from the
pipe to assertain what reporting should be done, and reports as appropriate.
.PP
\fBpipe_report\fP() is a mechanism for the child process to make a brief
report (eg FAIL and a one line message) back to the parent.
.SH WARNING
Messages should be kept short. (Otherwise the pipes could block)
.SH "SIDE EFFECTS"
STDOUT cannot used by the child process.
.SH "SEE ALSO"
pipeclib (tsetlib)
.SH AUTHOR
Stuart Boutell, UniSoft Ltd.
