.\"	SCCS:	@(#) USER MANUAL arc_extr.m	4.1 (01/21/97)  VSXgen release 1.4
.de }C
..
.de }M
..
.TH arc_extr vlib "UniSoft Ltd." "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
arc_extr, arc_print \- extract entries from a cs_arc archive
.SH SYNOPSIS
.TP
.BR "int arc_extr" "(arcname, dirname, fnames)"
.nf
char *arcname;
char *dirname;
char ***fnames;
.fi
.PP
.TP
.BR "int arc_print" "(stream, arcname, fname)"
.nf
FILE *stream;
char *arcname;
char *fname;
.fi
.PP
.TP
.BR "char *arc_errname" "(arcname)"
.nf
char *arcname;
.fi
.SH DESCRIPTION
Arc_extr() takes the name of a testset archive (created by cs_arc) in
.IR arcname ,
and extracts the contents of it into directory
.IR dirname .
The names of the files are put into malloc()'ed memory in
.I fnames
(without the directory name prefix).  The names in the archive must be of
the form
.PP
.RS
c[cd][0-9][0-9][CcLlEe][s0-9].c
.RE
.PP
all other names are ignored.  The names returned in
.I fnames
are guaranteed to be of this form and sorted by the
number (i.e. 3rd and 4th characters in name).  The value
returned is the number of file names in
.IR fnames .
SYSERROR is returned if something goes wrong.
.PP
Arc_print() takes the name of a cs_arc archive in 
.IR arcname ,
and outputs to 
.I stream 
the contents of file 
.I fname 
from the archive.  There are no restrictions on the file name.
The value returned is 0 for success, -2 if the archive file does
not exist, or -1 for all other error conditions.
.PP
If arc_errname() is called after arc_extr() or arc_print() fails then a
string containing the relevant error message is returned.
.I Arcname
is used as part of the error message.
.SH "SEE ALSO"
.nf
cs_arc(vtools)
.fi
.SH AUTHOR
Geoff Clare, UniSoft Ltd.
.SH RELEASE
VSXgen 1.4
