'''	SCCS:	@(#) USER MANUAL vsignal.m	4.1 (01/21/97)  VSXgen release 1.4
.de }C
..
.de }M
..
.TH vsignal vlib "UniSoft Ltd" "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
vsignal \- signal handling routines
.SH SYNOPSIS
.B #include <signal.h>
.PP
.B void (*vsignal(sig, func))()
.br
.B "int  sig;"
.br
.B void (*func)();
.PP
.B void setsigs(func)
.br
.B void (*func)();
.PP
.B void sig_func(sig)
.br
.B int sig;
.PP
.B char *signame(sig)
.br
.B int sig;
.PP
.B #include <vsx_signal.h>
.PP
.B "extern int  sig_array[VNUMSIG+1];"
.br
.B "extern char *sig_name[VNUMSIG+1];"
.SH DESCRIPTION
These routines provide for a simple and uniform way of handling signals 
by testset drivers and subprograms.  The global arrays defined here are 
also used by testsets to look up X/Open signal numbers and names.
.PP
.I Vsignal()
emulates signal() using sigaction() thus allowing easy transformation 
from signal() to sigaction().
.PP
.I Setsigs()
sets all signals except SIGKILL, SIGSTOP, SIGCHLD, signals specified in
VSX_SIG_LEAVE and any signals already being ignored, to be handled by "func".
Honouring of ignored signals is 
done so that only "vtest" needs to process VSX_SIG_IGN - all its children 
inherit the ignored signals.
.PP
.I Sig_func()
is used to catch unexpected signals.  It simply longjmp()s to vg_sjmp 
(usually set at the top of the main test loop) where the setjmp() return 
value will be (sig+1).
.PP
.I Signame()
is used to obtain signal names.  It returns "non-X/Open signal" for signals 
not defined in the XPG.
.PP
.I Sig_array[]
gives the signal numbers of the X/Open signals.  It is indexed by 
VSIGHUP, etc.  It contains room for an extra entry VSIGINVAL, which if 
it is needed may be initialised by calling vsx_sigs().
.PP
.I Sig_name[]
gives the names of the X/Open signals, indexed by VSIGHUP etc.
.SH AUTHOR
Neil Moses, UniSoft Limited.
.SH RELEASE
VSXgen 1.4
