'''	SCCS:	@(#) USER MANUAL nonposix.m 4.1 (01/21/97)  VSXgen release 1.4
.TH nonposix vport "UniSoft Ltd." "VSXgen release 1.4" "VSX User Manual"
.SH NAME
nonposix \- non-POSIX interfaces used in POSIX testsets
.SH SYNOPSIS
.PP
#include <stdio>
.PP
.BR "int getopt" "(argc, argv, opts)"
.nf
int	argc;
char	**argv, *opts;
.br
extern	char	*optarg;
extern	int	optind,	opterr;
.fi
.PP
#include <math.h>
.PP
.BR "int isnan" "(x)"
.nf
double x;
.fi
.PP
#include <string.h>
.PP
.BR "void * memchr" "(s, c, n)"
.nf
char	*s;
int	c;
size_t	n;
.fi
.PP
.BR "int memcmp" "(s1, s2, n)"
.nf
void	*s1,	*s2;
size_t	n;
.fi
.PP
.BR "void * memcpy" "(s1, s2, n)"
.nf
void	*s1,	*s2;
size_t	n;
.fi
.PP
.BR "void * memset" "(s, c, n)"
.nf
void *s;
int c;
size_t n;
.fi
.PP
#include <stdio.h>
.PP
.BR "FILE * popen" "(cmd, mode)"
.nf
char	*cmd,	*mode;
.fi
.PP
.BR "int pclose" "(ptr)"
.nf
FILE	*ptr;
.fi
.PP
.BR "long strtol" "(str, ptr, base)"
.nf
char	*str;
char	**ptr;
int	base;
.fi
.PP
#include <stdio.h>
.PP
.BR "int system" "(s)"
.nf
char	*s;
.fi
.SH DESCRIPTION
If VSX is built in a POSIX mode (i.e. with 
.I _XOPEN_SOURCE
not defined) the suite cannot use any
non-POSIX interfaces as they may not be available on the system.
Therefore portable versions of those interfaces which are used
are provided here. Their functionality is as described in
the portability guide.
.SH "AUTHOR"
Joseph Nave, UniSoft Ltd.
.SH RELEASE
VSXgen 1.4
