'''	SCCS:	@(#) USER MANUAL userintf.m 4.1 (01/21/97)  VSXgen release 1.4
.TH userintf vport "UniSoft Ltd." "VSXgen release 1.4" "VSX User Manual"
.SH NAME
userintf \- user-modifiable interface routines
.SH SYNOPSIS
.PP
.BR "int mnt_rw" "(spec, dir)"
.nf
char *spec;
char *dir;
.fi
.PP
.BR "int mnt_ro" "(spec, dir)"
.nf
char *spec;
char *dir;
.fi
.PP
.BR "int unmnt" "(spec, dir)"
.nf
char *spec;
char *dir;
.fi
.PP
.BR "int setprv" "(prvtype)"
.nf
int prvtype;
.fi
.PP
.BR "int unsetprv" "(prvtype)"
.nf
int prvtype;
.fi
.PP
.BR "int prv_assign" "(file, prvtypes)"
.nf
char *file;
int *prvtypes;
.fi
.PP
.BR "int setgrps" "(ngrps, grparray)"
.nf
int   ngrps;
gid_t grparray[];
.fi
.PP
.BR "int openctl" "(spec, oflag)"
.nf
char *spec;
int  oflag;
.fi
.PP
.BR "int openpty" "(master, slave, mfdp, sfdp, cntrl)"
.nf
char *master;
char *slave;
int *mfdp;
int *sfdp;
int cntrl;
.fi
.PP
.BR "int ptygetattr" "(mfd, termios_p)"
.nf
int mfd;
struct termios *termios_p;
.fi
.PP
.BR "int sys_call" "()"
.PP
.BR "void use_time" "()"
.PP
.BR "int newroot" "(path)"
.nf
char *path;
.fi
.PP
.BR " long setlimit" "(lim)"
.nf
long lim;
.fi
.PP
.BR "int pathdepth" "(path)"
.nf
char *path;
.fi
.SH DESCRIPTION
.PP
As supplied these routines make use of system calls commonly
found on many UNIX systems.  If these are not appropriate the
routines should be modified as necessary before the VSX test
suite is installed.
.PP
Mnt_rw() mounts the file system specified by 
.I spec
onto the directory 
.I dir
for reading and writing.  It returns 0 for success, -1 for failure.
.PP
Mnt_ro() mounts the file system specified by 
.I spec
onto the directory 
.I dir
for reading only.  It returns 0 for success, -1 for failure.
.PP
Unmnt() unmounts the file system specified by 
.I spec
from the directory 
.I dir
where it has previously been mounted.
It returns 0 for success, -1 for failure.
.PP
Setprv() provides the current process with "appropriate privileges".
The argument specifies what privilege is being requested.
It returns 0 for success, -1 for failure.
.PP
Unsetprv() removes the specified privilege from the current process.
The argument specifies what privilege is to be removed.
It returns 0 for success, -1 for failure.  (If the process already
does not have the privilege, this is considered success).
.PP
Prv_assign() assigns "appropriate privileges" to an executable file.
The arguments are the file name and a zero-terminated array of the
privileges to be assigned.
It returns 0 for success, -1 for failure.
.PP
Setgrps() sets the current groups list to the group id's in
.IR  grparray .  
This array should contain 
.I ngrps
entries.
Setgrps() is only called after setprv(PRV_SETGRPS) since setting
groups is usually a privileged operation.
It returns 0 for success, -1 for failure.
.PP
Openctl() opens the terminal device 
.I spec
with the specified flags.
This then becomes the controlling terminal for the current process.
Openctl() returns the open file descriptor to the terminal,
or -1 on failure.
.PP
Openpty() opens the master and slave sides of a pseudo-terminal.
Both device names are supplied, but if master pty's are obtained
from a clone device the slave name is a dummy which must be
overwritten with the real device name.  If
.I cntrl
is true the slave must be opened as a controlling terminal by calling
openctl() instead of plain open().  Both devices must be opened
for reading and writing.  On many systems master devices can
only be opened once, giving EBUSY for example on subsequent
opens.  If openpty() encounters a busy master device, it must
simply open the slave.
.PP
The open file descriptors are returned via the pointers
.I mfdp
and
.I sfdp.
.PP
This routine is only called if the VSX_MASTER_TTY and
VSX_MASTER_LOOP parameters are set.
Openpty() returns 0 for success or -1 for failure.
.PP
Ptygetattr() obtains terminal attributes for the slave pseudo-terminal
corresponding to the master device addressed by
.I mfd.
It returns 0 for success, -1 for failure.
.PP
Sys_call() makes one or more calls to an interface which is
known to be a system call.  I.e. after several calls the system
CPU time for the process will have increased measurably.
It returns 0 for success, -1 for failure.
.PP
Use_time() performs processing which will accumulate
user CPU time.  The number of iterations may be	adjusted
if necessary.
.PP 
Newroot() causes 
.I path
to become the root directory for the current process.
Newroot() is only called after setprv(PRV_NEWROOT) since setting
the root directory is usually a privileged operation.
It returns 0 for success, -1 for failure.
.PP
Setlimit() is used to reduce the output file size limit for 
the process.  The argument 
.I lim
is the value to be set in units of
512 byte blocks, and will always be >= VSX_ULIMIT_BLKS.
Setlimit() returns the new limit, or -1L for failure.
.PP
Pathdepth() is used to determine the depth of pathnames
beginning with "//" below the root directory of the process.
The return value is such that a path equivalent to "/usr"
gives a value of 1, one equivalent to "/usr/bin" gives 2, etc.
The default code supplied is suitable for systems which use
"//" to refer to a directory level above the root, i.e. when
the root directory is referred to by "//somename".
.SH "AUTHOR"
Joseph Nave, UniSoft Ltd.
.SH RELEASE
VSXgen 1.4
