'''	SCCS:	@(#) USER MANUAL vargtypes.m 4.1 (01/21/97)  VSXgen release 1.4
.TH vargtypes vport "UniSoft Ltd." "VSXgen release 1.4" "VSX User Manual"
.SH NAME
vargtypes \- interfaces to routines with varying argument types
.SH SYNOPSIS
.PP
.BR "int vread" "(fd, buf, nbyte)"
.nf
int fd;
char *buf;
unsigned int nbyte;
.fi
.PP
.BR "int vwrite" "(fd, buf, nbyte)"
.nf
int fd;
char *buf;
unsigned int nbyte;
.fi
.PP
.BR "char *vgetcwd" "(buf, size)"
.nf
char *buf;
int size;
.fi
.SH DESCRIPTION
.PP
These are interfaces to functions which require different
argument types in different test modes, as follows:
.sp
In XPG3 mode:
    int read(int, char *, unsigned int)
    int write(int, char *, unsigned int)
    char *getcwd(char *, int)
.sp
In all other modes:
    ssize_t read(int, void *, size_t)
    ssize_t write(int, void *, size_t)
    char *getcwd(char *, int)
.PP
The interfaces vread(), vwrite() and vgetcwd() are accessed
via \f(CW#define\fRs in <sysdep.h> of read(), write() and getcwd().
In places where these redefinitions are not required (in vport/vargtypes.c
and in the tests for these functions), they are disabled by predefining
NO_VREAD, NO_VWRITE or NO_VGETCWD accordingly.
.SH "AUTHOR"
Geoff Clare, UniSoft Ltd.
.SH RELEASE
VSXgen 1.4
