'''	SCCS:	@(#) USER MANUAL prpt.m	4.2 (04/23/97)  VSXgen release 1.4
.TH prpt vprog "UniSoft Ltd." "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
prpt - POSIX summary report generator
.SH USAGE
.B prpt
.RB [ -H ]
.IB [ -L len]
.IB [ -W wid]
jnlfile ...
.SH DESCRIPTION
.B Prpt
produces a POSIX conformance report from one or more
test journal files.  If the test suite was not installed and run in
one of the POSIX modes, the extra test results in the journal file(s) are
ignored by
.BR prpt .
Reports are produced on the standard output.
.PP
Each report is prefaced by several cover pages, one for each
test journal file being processed, listing information from the file
as follows: file name, validation test name, test date,
test agency and system, test operator and all test parameters.
.PP
The cover pages are followed by tables of test results, sorted by
POSIX chapter then interface name.  Each line contains the interface
name, assertion number and result code (PASS, FAIL, UNRESOLVED,
UNSUPPORTED, UNTESTED or NOTINUSE).
.SH PARAMETERS
.SH "Command Line"
.TP
.B -H
Disable page headers and footers.
.I Prpt
will normally print page headers and footers whose
placement and size depend on the page size
flags given below.  They contain the page number, report date and report type.
The report date is determined from the host system at the time of prpt
invocation.
Headers and footers include blank lines between each header and footer
and page text.
.sp
Prpt produces headers and footers by default if no -H flag is given.
.TP
.BI -L len
Page length is
.I len
lines - used to place headers and footers properly
on the output pages. Defaults to 66 lines if no
-L flag given.
.TP
.BI -W wid
Page width is
.I wid
columns - used to generate headers and footers
and to wrap long lines.
Defaults to 80 columns if no -W flag given.
.SH "Environment"
.TP
.B VSXBIN
specifies the directory where prpt executables and scripts reside.  If
.B VSXBIN
is not set this directory is assumed to be
.IR $HOME/BIN .
.SH RETURNS
.IP 0
Report terminated successfully
.IP 1
Unknown option argument or command line usage error
.IP 2
Unreadable file or other unrecoverable error during report generation
.SH DIAGNOSTICS
.TP
"cannot read input file <filename>"
An input file given on the command line could not be opened.
.SH EXAMPLES
.TP
.B "prpt journal01"
.br
Generate a report from journal file "journal01, using the default page size
with page headers and footers, and put the report onto the standard output.
.TP
.B "prpt -H -W132 journal*"
.br
Generate a report from all journal files
in the current directory, using the default page length, a page width
of 132 columns, and with no page headers or footers.
.SH "SEE ALSO"
vrpt(vprog)
.br
vrptm(vprog)
.SH AUTHORS
Geoff Clare, UniSoft Ltd.
.br
Stuart Boutell, UniSoft Ltd.
.br
J. A. Nave, UniSoft Ltd.
.SH RELEASE
VSXgen 1.4
