'''	SCCS:	@(#) USER MANUAL vrptm.m	4.1 (01/21/97)  VSXgen release 1.4
.TH vrptm vprog "UniSoft Ltd." "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
vrptm - multiple test run comparison report generator
.SH USAGE
.B vrptm
.RB [ -H ]
.IB [ -L len]
.IB [ -W wid]
file1 file2 ...
.SH DESCRIPTION
.B Vrptm
produces a report comparing the results of two or more VSX validation
test runs.  It takes as input the test
journal files from the runs to be compared.  The file names given on the
command line are used in the report to identify the results from the
corresponding runs.
Reports are produced on the standard output.
.PP
Each report is prefaced by several cover pages, one for each
test journal file being processed, listing information from the file
as follows: file name, validation test name, test date,
test agency and system, test operator and all test parameters.
.PP
The cover pages are followed by tables of test results, one table per
testset, showing the results for each test across all the input files.
The tables contain one word entries giving the test result category
(Succeeded, Failed, Warning, FIP (Further Information
Provided), Unresolved, Uninitiated, Unsupported, Untested or Not In Use).
A '-' character in the table indicates that no result was found for that
test in the corresponding file.
Any additional test information in the journal file is not reproduced.
.SH PARAMETERS
.SH "Command Line"
.TP
.B -H
Disable page headers and footers.
.I Vrptm
will normally print page headers and footers whose
placement and size depend on the page size
flags given below.  They contain the page number, report date and report type.
The report date is determined from the host system at the time of vrptm
invocation.
Headers and footers include blank lines between each header and footer
and page text.
.sp
Vrptm produces headers and footers by default if no -H flag is given.
.TP
.BI -L len
Page length is
.I len
lines - used to place headers and footers properly
on the output pages. Defaults to 66 lines if no
-L flag given.
.TP
.BI -W wid
Page width is
.I wid
columns - used to generate headers and footers
and to wrap long lines in the journal file.
Defaults to 80 columns if no -W flag given.
.SH "Environment"
.TP
.B VSXBIN
specifies the directory where vrptm executables and scripts reside.  If
.B VSXBIN
is not set this directory is assumed to be
.IR $HOME/BIN .
.SH RETURNS
.IP 0
Report terminated successfully
.IP 1
Unknown option argument or command line usage error
.IP 2
Unreadable file or other unrecoverable error during report generation
.SH DIAGNOSTICS
.TP
"cannot read input file <filename>"
An input file given on the command line could not be opened.
.TP
"insufficient page width for number of files - using <wid>"
The page width specified with the -W option was less than the
minimum required for the number of input files being processed.
The program will produce the report using <wid> instead of the
requested width.
.SH EXAMPLES
.TP
.B "vrptm journal1 journal[45]"
.br
Generate a report comparing test results from
journal files journal1, journal4 and journal5, using the default page size
with page headers and footers, and put the report onto the standard output.
.TP
.B "vrptm -H -W132 jo*"
.br
Generate a report comparing test results from all "journal" files
in the current directory, using the default page length, a page width
of 132 columns, and with no page headers or footers.
.SH "SEE ALSO"
vrpt(vprog)
.br
prpt(vprog)
.SH AUTHORS
Geoff Clare, UniSoft Ltd.
.br
Stuart Boutell, UniSoft Ltd.
.SH RELEASE
VSXgen 1.4
