'''	SCCS:	@(#) USER MANUAL cs_arc.m	4.1 (01/21/97)  VSXgen release 1.4
.na
.TH cs_arc vtools "User Manual" VSX
.SH NAME
cs_arc - Create and extract files in a C source archive
.SH USAGE
\fB$(VSXBIN)/cs_arc \fIc\fB <\fIarchive-name\fB> \fIfiles\fR
.br
	or
.br
\fB$(VSXBIN)/cs_arc \fIx\fB <\fIarchive-name\fB> [\fIdirectory\fB]\fR
.SH DESCRIPTION
\fBCs_arc\fR can be used to extract files from a CS archive (or library)
or to create a new archive.
.PP
If the first argument is \fBx\fR the files in the archive will be extracted
in \fIdirectory\fR if it is specified, or in the current directory.
This can be used to examine what a particular
test contains. If, for example, a test in lang.C fails on your C language
system, you can extract the datafiles in that testset to see what
went wrong.
.PP
If the first argument is \fBc\fR, an archive is created with \fIfiles\fR
in it.  (This should not be done, as changing an archive is
changing the testset).
.PP
The format of the archive is quite simple and has been designed
to be portable (the entire archive is in ASCII printable characters):
.IP "-" 5
a magic number (9 characters)
.IP "-"
a number (3 digit, zero filled) indicating the number of files in the archive,
followed by a newline
.IP "-"
a line from each file in the archive giving the name of the file and the
number of bytes in it (16 characters for filename followed by 10 characters
for number of bytes, both padded with blanks, followed by a newline)
.IP "-"
the contents of each file in the order given in which the names are
mentioned in the start of the archive.
.PP
Only files of the following form will be extracted from the archive
by the lang.C and ".hdr" test drivers:
.br
	c[cdi][0-9][0-9][cClLeE][s0-9].c
.br
see Intro(lang.C) for more on this.
.SH SEE ALSO
.na
Intro(tset)
.SH AUTHORS
Mike Rendell, UniSoft Limited.
.SH RELEASE
VSXgen 1.4
