'''	SCCS:	@(#) USER MANUAL hdranal.m	4.1 (01/21/97)  VSXgen release 1.4
.na
.TH hdranal vtools "User Manual" VSX
.SH NAME
hdranal - identify visible symbols in headers
.SH USAGE
\fB$(VSXBIN)/hdranal \fIheadername\fB [\fIdebugon\fB]
.SH DESCRIPTION
\fBHdranal\fR uses a stripped-down version of the GNU C compiler to
identify symbols made visible by system headers.  To use the
program a file containing the line
.sp
.lg 0
	\f(CW#include <header_name.h>\fR
.sp
or the lines
.sp
	\f(CW#include <sys/types.h>\fR
.br
	\f(CW#include <header_name.h>\fR
.sp
is first created.  This is preprocessed using \fBcc -E\fR and
the result fed to the standard input of \fBhdranal\fR.
.PP
The name of the header is supplied as the first argument to \fBhdranal\fR.
This is used in the output file names with \fB.A\fR, \fB.M\fR and \fB.P\fR
appended.  The \fB.A\fR and \fB.M\fR files are used in namespace pollution
header tests.  The \fB.P\fR file is used in tests for the existence of
prototypes.
.PP
The \fIheader\fR.h.A file contains a line of the form
.sp
	\f(CWchkdecl("name");\fR
.sp
for each declared or \f(CWtypedef\fRed symbol name, and
.sp
	\f(CWchktag("name");\fR
.sp
for each struct/union/enum tag.
The (void) routines chkdecl() and chktag() must be defined
before including \fIheader\fR.h.A.
.PP
The \fIheader\fR.h.M file contains a line of the form
.sp
	\f(CW#define name "name unprotected"<garbage-string>\fR
.sp
for each struct/union member name.  The test code should \f(CW#undef\fR
the allowed member names after including \fIheader\fR.h.M and before
including \fIheader\fR.h.  The remaining defined names will
cause compiler errors if they are not protected against macro expansion
in the header itself.
.PP
No output is made to either of these files for symbol names that are in
a reserved class of names for the given header.
.PP
The \fIheader\fR.h.P file contains a line of the form
.sp
	\f(CW#define name_HAS_PROTOTYPE\fR
.sp
for each function declared with a prototype.  The test code should use
\f(CW#ifdef name_HAS_PROTOTYPE\fR to determine if a prototype exists,
and then, if one does exist, provide a correct prototype so that the
compiler will give an error if the one in the header is not compatible.
.PP
If \fBhdranal\fR is passed more than one argument it turns on \fByacc\fR
debug mode.
.SH "EXIT STATUS"
\fBHdranal\fR exits with code 2 if no arguments are supplied or code 1
if file handling errors occur.  Exit code 1 is also given if a
syntax error occurs (indicated by a non-zero return from yyparse())
as this means some symbols may not have been identified.  Other C
language errors reported are for information only and do not
cause a non-zero exit code.  
.SH SEE ALSO
.na
Intro(tset)
hdrdefs(vtools)
.SH AUTHOR
Geoff Clare, UniSoft Limited.
.SH RELEASE
VSXgen 1.4
