'''	SCCS:	@(#) USER MANUAL hdrdefs.m	4.3 (10/15/97)  VSXgen release 1.4
.na
.TH hdrdefs vtools "User Manual" VSX
.SH NAME
hdrdefs - identify header file #define lines
.SH USAGE
\fB$(VSXBIN)/hdrdefs \fIheaderfile\fB [\fIsearchdir ...\fB]
.SH DESCRIPTION
\fBHdrdefs\fR reads a system header file \fIheader\fR.h and produces two
output files: \fIheader\fR.h.D and \fIheader\fR.h.C for use in namespace
pollution header tests.  \fIheader\fR.h.D contains either a modified version
of the header file with any \fB#include\fR directives it contains
expanded out, or a simple \fB#include\fR of \fIheaderfile\fR.
\fIheader\fR.h.C contains a call to a user defined check
routine chkallow() for each \fB#define\fRd symbol defined in the header,
protected by an \fB#ifdef symbol\fR.
.PP
\fBHdrdefs\fR follows \fB#include\fR lines in the header file, expanding
them into the output.  If an include file cannot be found or
opened a line of the form
.sp
.lg 0
.ti +1i
\f(CW#define VSXdef\fIN\f(CW "error message"\fR
.sp
is placed in \fIheader\fR.h.D and a call to errallow(VSXdef\fIN\fR) is
placed in \fIheader\fR.h.C.  This means an error will only be reported if
the bad \fB#include\fR was not \fB#ifdef\fRed out in the header.  If no
such `missing' includes are encountered, then the expanded-out file is not
needed, and is overwritten with a simple \fB#include\ <\fIheaderfile\fB>\fR.
.PP
The (void) routines chkallow() and errallow() must be defined
before \fIheader\fR.h.C is \fB#include\fRd.
.PP
If one or more \fIsearchdir\fR arguments are given, the specified directories
are searched for header files instead of /usr/include.
.PP
If the environment variable HDRDEFS_NOEXPAND is set, \fBhdrdefs\fR will
not attempt to write the expanded version of \fIheader\fR.h.D at all. 
In this case \fBhdrdefs\fR will report an error if it encounters a
missing nested include.
.SH SEE ALSO
.na
Intro(tset)
hdranal(vtools)
.SH AUTHOR
Geoff Clare, UniSoft Limited.
.SH RELEASE
VSXgen 1.4
