'''	SCCS:	@(#) USER MANUAL Intro.man	4.1 (01/21/97)  VSXgen release 1.4
.de zS
.nr zZ +\\*(\\$2-\\n(zZ 1
.TP
.B \\*(\\$1-\\*(\\$2
..
.de zT
.ds \\$1 \\n+(zZ
.TP
.B \\*(\\$1
..
.de zU
.TP
.B \\n+(zZ
..
.deTL
.nr zZ -\\n(zZ 1
..
.deTI
.if \\n(.$=2 .zS \\$1 \\$2
.if \\n(.$=1 .zT \\$1
.if \\n(.$=0 .zU
.rr zY
.nr zY -\\n(zY 1
.af zY a
..
.deUL
.rr zY
.nr zY -\\n(zY 1
.af zY a
..
.deUI
.br
\\n+(zY. \\c
..
.TH Intro tset "UniSoft Ltd." "VSXgen release 1.4" "VSX USER MANUAL"
.SH NAME
Intro - introduction to testset manual entry organisation
layout and meaning.
.SH INTRODUCTION
Entries within the testset part of the VSX User Manual describe
the behaviour of testset programs; this entry describes the
layout and meaning of these entries.
.PP
The sections below describe the corresponding testset entry
sections; those headings in square brackets "[]" are optional and
only appear in those testset entries where they are relevant.
.SH "DESCRIPTION OF TESTSET ENTRY FORMAT"
.SH NAME
The testset identification (full name) and a brief description of
the testset role.
.IP e.g.
ANSI.os/streamio/getc - get character from a stream testset 
.SH DESCRIPTION
This section explains what the testset tests and contains a reference to the
corresponding XPG entry,
.IP e.g.
Getc tests the
.BR getc () ,
subroutine call interface for conformance to the XSI System Interfaces
Page:getc()
.PP
and anything else that is relevant to the testset.
.SH TESTS
A numbered list of
individual tests within the testset are listed here with a brief
description of what it is that each test tests for.
Tests are listed in the order of execution by the testset.
.PP
The tests are subdivided into the following sections:-
.BR Compliance ", " Deviance ", " Implementation ", "
.BR "Untestable Aspects" " and " "Associated Tests"
.SH [Compliance]
Lists all tests which test the conformance of the tested interface
to the XPG definition for the interface, eg. testing for
opening of the correct file or setting of correct mode, etc.
.SH [Deviance]
Lists all tests that test the behaviour of the interface under
conditions and/or inputs that deviate from correct or
expected conditions or inputs - e.g. the behaviour of the
.IR open (2)
system call when the requested file does not exist.
.SH [Implementation]
Lists all tests whose results are defined by the XPG to be
implementation dependant.
.SH "[Untestable Aspects]"
Lists any aspects of the definition which cannot be safely or
reasonably tested.
.PP
A reason for omission is given for each ommitted test.
.SH [Associated Tests]
Tests that are related to the XPG definition for the interface
but that are carried out in another testset are listed in this section.
.SH "[UNDEFINED ASPECTS]"
Lists any aspects of the relevant XPG definition
that can not be tested due to lack of XPG
definition or ambiguity. Where an
assumption has been made to allow testing this is explicitly stated.
.SH "[SPECIAL CONDITIONS]"
Any special conditions required by the testset and/or individual
tests (e.g. testset requires read-only file system) are listed
here.
.SH OUTPUTS
Individual test outputs (to stdout and stderr)
are listed here in test order.
.PP
All output from tests and testsets
conform to the standard format and behaviour
described in
.IR vtestrslts (vdefs).
.SH [DELETIONS]
Individual tests that will be deleted on previous test failure or in the
case of undefined parameter values will be listed here with the deletion
dependencies.
.SH [PARAMETERS]
Any test parameters unique to the testset are listed here with
expected values and/or default values.
.PP
Any use of the standard VSX-wide test parameters
are also listed here, with any non-standard uses and defaults
being clearly flagged.
.SH [PROBLEMS/WARNINGS]
Any potential problems unique to the testset are given
here - e.g. the possibility of system-wide side effects or
potentially dangerous behaviour.
.SH "[SEE ALSO]"
Associated XPG or VSX entries or documents are listed here.
.SH AUTHOR
The entry's author's name \- e.g
.I this
entry's author is
.sp
Hamish Reid, UniSoft Ltd.
.SH RELEASE
Describes product name and release number; e.g. the
RELEASE data for
.I this
entry is
.sp
VSXgen 1.4
