/*
*       SCCS:   @(#)	INC/HEADER.h		4.1 (01/21/97)  VSXgen release 1.4
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

/***********************************************************************

NAME:		HEADER.h - include file for ".hdr" testset data files

PROJECT:	VSX (X/OPEN Validation Suite)
DESCRIPTION:	defines generic PRINT macro, return codes PASS,
		FAIL, etc. for active data tests, and useful structures.
AUTHOR:		Paul Hackney
DATE CREATED:	Wed Jul 30 12:45:53 BST 1986
MODIFICATIONS:
		Geoff Clare, 19 July 1989
			Rationalise *CONNT structures
		
		Geoff Clare, 27 Apr 1990
			Add NOTINUSE exit code

************************************************************************/

/* testset exit codes ( 10-99 ) */

#define	TE_ABANDON	(10)		/* testset abandoned */

/* child exit status codes */

#undef	PASS
#define	PASS	(0)
#undef	FAIL
#define	FAIL	(1)
#undef	RRFI
#define	RRFI	(2)
#undef	WARN
#define	WARN	(3)
#undef	UNSUP
#define	UNSUP	(4)
#undef	UNTES
#define	UNTES	(5)
#undef	NOTINUSE
#define	NOTINUSE	(6)

#define	FATAL	(1)			/* force exit failure */

/* test status return codes */

#define T_FAIL	FAIL
#define T_PASS	PASS
#define T_RFI	RRFI
#define	T_WARN	WARN
#define	T_UNSUP UNSUP
#define	T_UNTES	UNTES
#define	T_UNSUP	UNSUP
#define	T_NOTINUSE	NOTINUSE

#define	PRINT	(void)printf

/* Precision for floating point conversion for formatted printf */

#define	PRECISION_F	7	/* normalized 24-bit fraction (float) */
#define	PRECISION_D	16	/* normalised 56-bit fraction (double) */

/* LIST of integer connt structure */

struct	CONNT	{
	int	connt;
	char	*name;
};

/* LIST of long integer connt structure */

struct	CONNT_L	{
	long    connt;
	char	*name;
};

/* LIST of unsigned long connt structure */

struct	CONNT_U	{
	unsigned long	connt;
	char	*name;
};

/* LIST of float connt structure */

struct	CONNT_F	{
	float	connt;
	char	*name;
};

/* LIST of double connt structure */

struct	CONNT_D	{
	double	connt;
	char	*name;
};

/* LIST of [ limit, port-val ] structure for all signed integer types */

struct	PCONNT	{
	struct	CONNT_L	limit;
	long	pval;
};

/* LIST of [ limit, port-val ] structure for all unsigned integer types */

struct	UCONNT	{
	struct	CONNT_U	limit;
	unsigned long pval;
};
