/*
*	SCCS:	@(#)	INC/std.h.orig		4.1 (01/21/97)  VSXgen release 1.4
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

/***********************************************************************

NAME:		std.h

PROJECT:	VSX (X/OPEN Validation Suite)

DESCRIPTION:	Contains project-wide useful fundamental cpp definitions
		Definitions in here may need changing different
		host architectures.
INSTRUCTIONS:


AUTHOR:		Hamish Reid, UniSoft Ltd.
DATE CREATED:	Thu Apr  3 10:51:02 GMT 1986

************************************************************************/

#ifndef HDRTEST /* don't want this pollution in header tests */

/*	Useful Boolean Values:			*/

#define	TRUE	(1)
#define	FALSE	(0)
#define	OK	(1)

/*	No error, ie: ENOERROR			*/

#define	NOERROR	(0)

/*	System call failure code:		*/

#define	SYSERROR	(-1)

/*	Unix exit codes (defaults)		*/

#define	SUCCEED	(0)
#define	FAIL	(1)

#ifndef	NUL
#define	NUL	'\0'		/* C string terminator		*/
#endif

/* Useful null pointers */
#define NULLFN	((void (*)())0)		/* pass to cppair() */
#define NULLSA	((struct sigaction *)0)	/* pass to sigaction() */

/* Pseudo storage classes: */

#define	public
#define	private	static

#endif /* HDRTEST */

/* which specification to test */

#ifdef _XOPEN_SOURCE /* don't define in POSIX modes - defaults to 0 */
#define TEST_XPG	_XOPEN_SOURCE
#define TEST_UNIX	1
#endif

/* whether to test FIPS extensions to POSIX (in POSIX90 mode) */

#define TEST_FIPS	0

/* whether to test NFS file system semantics */

#define TEST_XNFS	0

/* whether to use/test ANSI features */

#define TEST_ANSI	(__STDC__ > 0 && TEST_XPG != 3)

#if TEST_ANSI
extern void vsxerror(char *, ...);
#else
extern void vsxerror();
#endif

/* architectural issues:						*/

/*
 *	Speed factor gives an indication of how fast the target machine is,
 *   It is used to determine the length of time outs.  On a fast machine (eg:
 *   SPARC, HP9000, etc.) it should be set to ~2, on a slow machine (eg: 68k
 *   machine, small signle cpu machines, etc) it should be set to ~10.
 *	If any tests seem to fail due to time outs, it may be caused by
 *   the having the speed factor set to too small a value.
 *	Note: DO NOT set this to 0!
 */
#define	SPEEDFACTOR	5
public int getspeedfactor();
/* use a runtime calcuated value for some tests */
#define	DSPEEDFACTOR	5

/*
 *	ANSI_vprintf_func specifies whether the ANSI function vprintf() is
 *   supported.  It is a boolean value, i.e. #if should be used, not #ifdef.
 */
#define ANSI_VPRINTF_FUNC	1

/*
 *	Long_double_supported specifies whether the compiler supports the
 *   long double type.  It is a boolean value (use #if, not #ifdef).
 */
#define LONG_DOUBLE_SUPPORTED	1

/*
 *	XNFS_socket_rpclib specifies whether xnfslib uses an RPC
 *   library (for XNFS Protocol tests) based on sockets or TLI.  
 *   It is a boolean value (use #if, not #ifdef).
 */
#define XNFS_SOCKET_RPCLIB	0

/*
 *	ANSI_signal_func specifies whether the ANSI function signal() is
 *   supported.  It is a boolean value, i.e. #if should be used, not #ifdef.
 */
#define ANSI_SIGNAL_FUNC	1

/*
 *	DYNL_depobj_supported indicates whether dependencies between
 *	shared objects are supported.
 *	It is a boolean value, i.e. #if should be used, not #ifdef.
 */
#define DYNL_DEPOBJ_SUPPORTED	1

/*
 *	DYNL_nodefs_supported indicates whether shared objects
 *	containing unresolved references are supported.
 *	It is a boolean value, i.e. #if should be used, not #ifdef.
 */
#define DYNL_NODEFS_SUPPORTED	1
