#!/bin/sh
#
# parameterisations.sh
#
# Copyright (c) 1991, 1992, 1997, 1998, 1999, 2001 X/Open Company Ltd.
# (X/Open)
# trading as The Open Group
# Copyright (c) 2001, 2003 International Business Machines Corp.
# All rights reserved except as granted by this License.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the "Artistic License" which comes with this
# Kit, with the following modification:
# a) "executable(s)" should be interpreted to include
# "test case(s)"
# b) if you wish to make changes as defined in clause 2 and 3, and
# distribute a modified version of this package, then
# clauses 3c and 4c are required
# c) Clause 7 is rephrased as follows: "Subroutines supplied by you
# and linked into this Package shall not be considered part of this
# Package".
#
#
# X/OPEN, TRADING AS THE OPEN GROUP, AND IBM CORP. DISCLAIM ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL X/OPEN OR IBM CORP. BE
# LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
# You should have received a copy of the Artistic License with this
# Kit, in the file named "Artistic".  If not, we'll be glad to provide one.


# Program expects file argument as first parameter to
# append parameterisations information into 
if test $# -lt 1
then
  echo "Parameterisations file needs file argument."
  exit 1
fi

LI18NUX_PSLDIR=li18nux_psldefs
LI18NUX_TGTDIR=${TOOLDIR}/${LI18NUX_PSLDIR}
LSB_LOCALE_SOURCE=${LI18NUX_TGTDIR}/LTP_1
LSB_CHARMAP_SOURCE=${LI18NUX_TGTDIR}/UTF-8
echo "LSB_LOCALE_SOURCE=\"$LSB_LOCALE_SOURCE\"" >> $1
echo "LSB_CHARMAP_SOURCE=\"$LSB_CHARMAP_SOURCE\"" >> $1

LI18NUX_FONTDIRNAME=li18nux_font
LI18NUX_FONT_DIR=${TOOLDIR}/${LI18NUX_FONTDIRNAME}
LI18NUX_FONT_PORT=9999
echo "LI18NUX_FONT_DIR=\"$LI18NUX_FONT_DIR\"" >> $1
echo "LI18NUX_FONT_PORT=\"$LI18NUX_FONT_PORT\"" >> $1
