#!/bin/sh
#
# post-config script for li18nux test suite
#
# Copyright (c) 1991, 1992, 1997, 1998, 1999, 2001 X/Open Company Ltd.
# (X/Open)
# trading as The Open Group
# Copyright (c) 2001, 2003 International Business Machines Corp.
# All rights reserved except as granted by this License.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the "Artistic License" which comes with this
# Kit, with the following modification:
# a) "executable(s)" should be interpreted to include
# "test case(s)"
# b) if you wish to make changes as defined in clause 2 and 3, and
# distribute a modified version of this package, then
# clauses 3c and 4c are required
# c) Clause 7 is rephrased as follows: "Subroutines supplied by you
# and linked into this Package shall not be considered part of this
# Package".
#
#
# X/OPEN, TRADING AS THE OPEN GROUP, AND IBM CORP. DISCLAIM ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL X/OPEN OR IBM CORP. BE
# LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
# You should have received a copy of the Artistic License with this
# Kit, in the file named "Artistic".  If not, we'll be glad to provide one.


# printf "** Assuming no wide character support ** \n"
# printf "Installing wc_nosup.cfg into SRC/wchars.cfg\n"
# cp SRC/wc_nosup.cfg SRC/wchars.cfg

######################################################################
# shell function to get an answer
#       - watch out for BSD 'echo' which needs '-n' instead of '\c'

case `echo 'xx\c'` in
*c*)	ECHON=-n; ECHOC= ;;
*)	ECHON= ;  ECHOC="\c" ;;
esac

getans() {
	ans=""
	echo $ECHON "$*$ECHOC"

	while read i
	do
		case "$i" in
		"!")
			sh -i
			echo "  "
			;;
		!*)
			i=`echo "$i" | sed 's/^.//'`
			sh -c "$i"
			;;
		*)
			ans="$i"
			return 0
			;;
		esac

		echo $ECHON "$*$ECHOC"
	done
	return 1
}

# Copy the locale information to the tool area
LI18NUX_PSLDIR=li18nux_psldefs
LI18NUX_SRCDIR=SRC/subsets/li18nux2000-level1/${LI18NUX_PSLDIR}
LI18NUX_TGTDIR=${TOOLDIR}/${LI18NUX_PSLDIR}
# Note that LI18NUX_TGTDIR and LI18NUX_PSLDIR is also set
# in the setup_locales.sh script and they need to be kept in sync
if [ ! -d ${LI18NUX_TGTDIR} ] ; then
	if [ -d ${LI18NUX_SRCDIR} ] ; then
		cp -r ${LI18NUX_SRCDIR} ${LI18NUX_TGTDIR}
                cp tset/LI18NUX2K.L1/base/nl_langinfo/LTP_IL* ${LI18NUX_TGTDIR}
	fi
fi

# Locales are not created at build time but at run time.
#printf "\n----------------------------------------------------------\n"
#printf "Installing locales for the i18n test suite"
#printf " ... enter the root password:\n"
#su root -c scripts/li18nux2000-level1/setup_locales.sh

######################################################################
# install virtual locales for testing i18n functions
# Check if it has the capability which can display an outline font thru X Server.

#printf "\n----------------------------------------------------------\n"
#LI18NUX_FONTDIRNAME=li18nux_font
#LI18NUX_FNTSRCDIR=SRC/subsets/li18nux2000-level1/${LI18NUX_FONTDIRNAME}
#
#LI18NUX_FONT_DIR=${TOOLDIR}/${LI18NUX_FONTDIRNAME}
#if [ ! -d ${LI18NUX_FONT_DIR} ] ; then
#	if [ -d ${LI18NUX_FNTSRCDIR} ] ; then
#		cp -r ${LI18NUX_FNTSRCDIR} ${LI18NUX_FONT_DIR}
#	fi
#fi
#
#DummyFontLong="-dummyoutline-gothic-medium-r-normal--0-[30 10.92 0 30]-0-0-p-0-iso10646-1"
#DummyFontShort="dummyoutline"
#ConfigFile=${LI18NUX_FONT_DIR}/config
#ConfigOrig=${LI18NUX_FONT_DIR}/config.org
#
#InitPort=9999
#PortDef=/etc/services
#
#xset q | fgrep "${LI18NUX_FONT_DIR}" > /dev/null 2>&1
#if [ $? != 0 ] ; then
#	xset fp+ ${LI18NUX_FONT_DIR} > /dev/null 2>&1
#	if [ $? != 0 ] ; then
#	
#		########################################
#		# get vacant port number
#		num=$InitPort
#		while true
#		do
#			fgrep $num $PortDef > /dev/null 2>&1
#			if [ $? = 1 ] ; then
#				break;
#			fi
#			if [ $num = 9000 ] ; then
#				tet_infoline ">> There is no vacant port to test, so aborted."
#				exit 1
#			fi
#			num=`expr $num - 1`
#		done
#		LI18NUX_FONT_PORT=$num
#	
#		########################################
#		# xfs 
#		CDIR=`echo ${LI18NUX_FONT_DIR} | sed 's/\//%/g'`
#		sed "s/CDIR/$CDIR/g" $ConfigOrig | sed 's/%/\//g' > $ConfigFile
#	
#		pnum=`ps aux | grep "xfs -port $num"| awk '{printf ("%d ",$2)}'`
#		if [ "$pnum" = "" ] ; then
#			cmd="xfs -port $num -config $ConfigFile -daemon"
#		else
#			cmd="kill -9 $pnum; xfs -port $num -config $ConfigFile -daemon"
#		fi
#	
#		echo ".. enter the root password to start font server"
#		su root -c "$cmd"
#		ps aux | grep xfs | fgrep -v grep > /dev/null 2>&1
#		if [ $? = 1 ] ; then
#			tet_infoline ">> xfs has not been started, so aborted."
#			exit 1
#		fi
#	fi
#fi
#
########################################
# clean up
#pnum=`ps aux | grep "xfs -port $num"| awk '{printf ("%d ",$2)}'`
#if [ "$pnum" != "" ] ; then
#	cmd="kill -9 $pnum"
#	echo "++ enter the root password to clean up font server process"
#	su root -c "$cmd"
#fi

printf "\n----------------------------------------------------------\n"
case `uname -m` in
    x86_64|ppc64|s390x)
        LDFLAG_SET=-L/usr/X11R6/lib64
        ;;

    *)
        LDFLAG_SET="-L/usr/X11R6/lib -L/usr/lib/X11"
        ;;
esac


printf "Adding LDFLAGS=\"$LDFLAG_SET\n"
printf "#Added for li18nux2k.l1\n">> SRC/vsxparams
printf "LDFLAGS=\"$LDFLAG_SET\"\n">> SRC/vsxparams


