#
# setup_locales.sh
#
# Copyright (c) 1991, 1992, 1997, 1998, 1999, 2001 X/Open Company Ltd.
# (X/Open)
# trading as The Open Group
# Copyright (c) 2001, 2003 International Business Machines Corp.
# All rights reserved except as granted by this License.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the "Artistic License" which comes with this
# Kit, with the following modification:
# a) "executable(s)" should be interpreted to include
# "test case(s)"
# b) if you wish to make changes as defined in clause 2 and 3, and
# distribute a modified version of this package, then
# clauses 3c and 4c are required
# c) Clause 7 is rephrased as follows: "Subroutines supplied by you
# and linked into this Package shall not be considered part of this
# Package".
#
#
# X/OPEN, TRADING AS THE OPEN GROUP, AND IBM CORP. DISCLAIM ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL X/OPEN OR IBM CORP. BE
# LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
# You should have received a copy of the Artistic License with this
# Kit, in the file named "Artistic".  If not, we'll be glad to provide one.


######################################################################
# install virtual locales for testing i18n functions
#
# naming rule for virtual locale is here:
#
#     LTP_n.encoding  [n: Sequential number, encoding: encoding name]
#     ex) LTP_1.utf8

# This script should be run with root privileges

LI18NUX_PSLDIR=li18nux_psldefs
LI18NUX_TGTDIR=${TOOLDIR}/${LI18NUX_PSLDIR}
LOC="LTP_1.utf8"
LSB_LOCALE_SOURCE="${LI18NUX_TGTDIR}/LTP_1"
LSB_CHARMAP_SOURCE="${LI18NUX_TGTDIR}/UTF-8"

printf "Create locales... "
printf "${LOC} "
localedef -c -f ${LSB_CHARMAP_SOURCE} -i ${LSB_LOCALE_SOURCE} ${LOC} 2>/dev/null
if [ ${?} -gt 1 ] ; then
  printf "Error: Cannot create the locale.\n"
  exit 1;
fi

# The localedefs results in warnings
LI18NUX_SOURCE_DIR=/opt/lsb/test/core/tet/LSB.tools/li18nux_psldefs
printf "LTP_IL1.UTF-8 "
localedef -c -f ${LI18NUX_SOURCE_DIR}/UTF-8 -i ${LI18NUX_SOURCE_DIR}/LTP_IL1 LTP_IL1.UTF-8 > /dev/null 2>&1
printf "LTP_IL2.UTF-8 "
localedef -c -f ${LI18NUX_SOURCE_DIR}/UTF-8 -i ${LI18NUX_SOURCE_DIR}/LTP_IL2 LTP_IL2.UTF-8 > /dev/null 2>&1
printf "Done.\n"

exit 0
