#!/bin/sh

# Program expects file argument as first parameter to
# append parameterisations information into 
if test $# -lt 1
then
  echo "Parameterisations file needs file argument."
  exit 1
fi

printf "Does the implementation provide bash as /bin/sh..? [y] "
read cmd
if [ "$cmd" = "Y" -o "$cmd" = "y" -o "$cmd" = "" ] ; then
	echo "LSB_BIN_SHELL_BASH=true" >> $1
else
	echo "LSB_BIN_SHELL_BASH=\"\"" >> $1
fi
CSH=`which csh > /dev/null 2>&1`
if [ "$?" -eq 0 ]; then
	DEF="y"
else
	DEF="n"
fi
printf "Does the implementation provide a C shell..? [%s] " $DEF
read cmd
if [ "$cmd" = "Y" -o "$cmd" = "y" -o "$cmd" = "" -a "$DEF" = "y" ] ; then
	echo "LSB_C_SHELL_SUPP=true" >> $1
else
	echo "LSB_C_SHELL_SUPP=\"\"" >> $1
fi
printf "Enter the name of the Kernel (typically vmlinuz)..? [vmlinuz] "
read cmd
if [ "$cmd" = "" ] ; then
	echo "LSB_KERNEL_NAME=vmlinuz" >> $1
else
	echo "LSB_KERNEL_NAME=\"$cmd\"" >> $1
fi

printf "Does the implementation allow users to create devices using MAKEDEV..? [n] "
read cmd
if [ "$cmd" = "Y" -o "$cmd" = "y" ] ; then
	echo "LSB_USER_DEV_CREAT=true" >> $1
else
	echo "LSB_USER_DEV_CREAT=\"\"" >> $1
fi

if [  -e /usr/share/misc/ascii ] ; then
	echo "LSB_FILE_ASCII=true" >> $1
fi

printf "Does the implementation support the file command? [y] "
read cmd
if [ "$cmd" = "Y" -o "$cmd" = "y" ] ; then
	echo "LSB_FILE_MAGIC=true" >> $1
else
	echo "LSB_FILE_MAGIC=\"\"" >> $1
fi

if [  -e /usr/share/misc/termcap ] ; then
	echo "LSB_FILE_TERMCAP=true" >> $1
else
	echo "LSB_FILE_TERMCAP=\"\"" >> $1
fi
if [  -e /usr/share/misc/termcap.db ] ; then
	echo "LSB_FILE_TERMCAPDB=true" >> $1
else
	echo "LSB_FILE_TERMCAPDB=\"\"" >> $1
fi

printf "Does the implementation support process accounting..? [n] "
read cmd
if [ "$cmd" = "Y" -o "$cmd" = "y" ] ; then
	echo "LSB_PROCESS_ACCOUNTING=true" >> $1
fi

printf "Does the implementation support NIS..? [n] "
read cmd
if [ "$cmd" = "Y" -o "$cmd" = "y" ] ; then
	echo "LSB_NIS_SUPPORTED=true" >> $1
fi

