#!/bin/sh

# Program expects file argument as first parameter to
# append parameterisations information into 
if test $# -lt 1
then
  echo "Parameterisations file needs file argument."
  exit 1
fi

echo "VSX_MOUNT_DEV=\"$NOSPC_DEV\"" >> $1
echo "VSX_NOSPC_DEV=\"$NOSPC_DEV\"" >> $1
echo "VSX_ROFS=\"$NOSPC_DEV\"" >> $1
echo "VSX_INVALID_GID=unsup" >> $1
echo "VSX_INVALID_UID=unsup" >> $1
echo "VSX_BLKDEV_FILE=/opt/lsb/test/core/tet/test_sets/nonexistb" >> $1
echo "VSX_CHRDEV_FILE=/dev/tty" >> $1
echo "VSX_FCNTL_EDEADLK=Y" >> $1
echo "VSX_FCNTL_MAXLOCK=-1" >> $1
echo "VSX_INVALID_GNAME=fooxyz" >> $1
echo "VSX_INVALID_PNAME=foopqr" >> $1
echo "VSX_INVALID_WHENCE=-1" >> $1
echo "VSX_INVAL_SIG=-5" >> $1
echo "VSX_READDIR_EBADF=Y" >> $1
echo "VSX_SIGSET_EINVAL=Y" >> $1
echo "VSX_SYS_OPEN_MAX=-1" >> $1
echo "VSX_TTYNAME=/dev/tty" >> $1
echo "VSX_TTYUSER=vsx0" >> $1
echo "VSX_ULIMIT_BLKS=2" >> $1
echo "VSX_UNLOCKABLE_FILE=unsup" >> $1
echo "VSX_UNUSED_GID=25000" >> $1
echo "VSX_UNUSED_UID=25000" >> $1
echo "VSX_TERMIOS_TTY=/dev/pts/XXX" >> $1
echo "VSX_TERMIOS_LOOP=/dev/pts/XXX" >> $1
echo "VSX_MASTER_TTY=/dev/ptmx" >> $1
echo "VSX_MASTER_LOOP=/dev/ptmx" >> $1
echo "VSX_TERMIOS_ASYNC=N" >> $1
echo "VSX_TERMIOS_BUFFERED=N" >> $1
echo "VSX_TERMIOS_SPEED=B9600" >> $1
echo "VSX_MODEM_CONTROL=N" >> $1
echo "VSX_START_STOP_CHNG=Y" >> $1
echo "VSX_TCGETPGRP_SUPPORTED=Y" >> $1
echo "VSX_TCSETPGRP_SUPPORTED=Y" >> $1
echo "VSX_UNSUPPORTED_CFLAG=none" >> $1
echo "VSX_SUPPORTED_CFLAG=B50" >> $1
echo "PCTS_ECHOE=\b \b" >> $1
echo "PCTS_ECHOK=\025\n" >> $1
echo "VSX_CLOSEDIR_EBADF=Y" >> $1
echo "VSX_JOB_CONTROL_SUPP=Y" >> $1
echo "VSX_LINK_ACCESS_REQD=Y" >> $1
echo "VSX_LINK_DIR_SUPP=N" >> $1
echo "VSX_LINK_FILESYS_SUPP=N" >> $1
echo "VSX_NONEXEC_FILE=." >> $1
echo "VSX_OPENDIR_EMNFILE=Y" >> $1
echo "VSX_REMOVE_DIR_EBUSY=S" >> $1
echo "VSX_RENAME_DIR_EBUSY=S" >> $1
echo "VSX_RENAME_DIR_WPERM_REQD=N" >> $1
echo "VSX_SAVED_IDS_SUPP=Y" >> $1
echo "VSX_SETPGID_SUPPORTED=Y" >> $1
echo "VSX_UNSUPPORTED_PGID=unsup" >> $1
echo "VSX_BRE_SUBANCHOR=Y" >> $1
echo "VSX_CAT_LOCALE=uk" >> $1
echo "VSX_LINE_BUF_SUPP=T" >> $1
echo "VSX_NXIO_BLKDEV=$HOME/nonexistb" >>$1
echo "VSX_NXIO_CHRDEV=$HOME/nonexistc" >>$1
echo "VSX_AL_ACCURACY=1" >>$1


grep vsx1 /etc/passwd 2>&1 >/dev/null
if [ $? -eq 1 ]
then
  printf "Warning: it appears as if the uids and gids are not correctly installed proceeding anyway..."
else
  VSX_UID0=`grep vsx0 /etc/passwd|cut -d: -f3`
  VSX_GID0=`grep vsx0 /etc/passwd|cut -d: -f4`
  VSX_UID1=`grep vsx1 /etc/passwd|cut -d: -f3`
  VSX_GID1=`grep vsx1 /etc/passwd|cut -d: -f4`
  VSX_UID2=`grep vsx2 /etc/passwd|cut -d: -f3`
  VSX_GID2=`grep vsx2 /etc/passwd|cut -d: -f4`
  
  printf "VSX_UID0=$VSX_UID0\n" >> $1
  printf "VSX_UID1=$VSX_UID1\n" >> $1
  printf "VSX_UID2=$VSX_UID2\n" >> $1
  printf "VSX_GID0=$VSX_GID0\n" >> $1
  printf "VSX_GID1=$VSX_GID1\n" >> $1
  printf "VSX_GID2=$VSX_GID2\n" >> $1
fi

